import Panel from "../../Module/Panel";
import { _decorator, Button } from "cc";
import ShareCenter from "../ShareCenter";
import { SHARE_TYPE } from "../const";


const { ccclass, property } = _decorator;

@ccclass('InvitePanel')
export default class InvitePanel extends Panel {

    static skin = "InvitePanel";
    static group = "InvitePanel";


    async start() {
        this.view["close"].on(Button.EventType.CLICK, this.hidePanel, this);
        this.view["shareBtn"].on(Button.EventType.CLICK, this.shareHandle, this);
    }

    /** 送惊喜 立即分享 */
    async shareHandle() {
        ShareCenter.ins.doShare()
    }

}
